<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!--Custom font-->
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Questrial&display=swap" rel="stylesheet">
    <!--Bootstrap-->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css"
        integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
    <!--CSS-->
    <link rel="stylesheet" href="../css/form.css">
    <title>Tanulótárs regisztrálás</title>
</head>

<body>
    <!--Navbar-->
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <div class="container belso">
            <a class="navbar-brand" href="/">Tanulótárs Kereső</a>
            <ul class="navbar-nav ml-auto">
                <li class="nav-item"><a class="nav-link" href="/">Főoldal</a></li>
                <li class="nav-item"><a class="nav-link" href="./catalog.html">Katalógus</a></li>
                <li class="nav-item"><a class="nav-link" href="./form.html">Regisztrálás</a></li>
            </ul>
        </div>
    </nav>
    
    <div class="container">
        <div class="row justify-content-center">
            <h1>Tanulótárs keresés feladása</h1>
            <form class="col-sm-10 rounded" id="create-student">
                <h3><u>Személyes adatok</u></h3>
                <!--Username / Név-->
                <div class="form-group row">
                    <label for="username" class="col-sm-4 col-form-label">Felhasználó név:*</label>
                    <div class="col-sm-6">
                        <input type="text" class="form-control" id="username" required>
                    </div>
                </div>
                <!--Age / Kor-->
                <div class="form-group row">
                    <label for="age" class="col-sm-4 col-form-label">Születési dátum:*</label>
                    <div class="col-sm-6">
                        <input type="date" id="age" class="form-control" min="1930-01-01" max="2020-01-01" required>
                    </div>
                </div>
                <!--Gender / Neme-->
                <fieldset class="form-group">
                    <div class="row">
                        <label class="col-form-label col-sm-4 pt-0">Neme:*</label>
                        <div class="col-sm-6">
                            <div class="form-check">
                                <input class="form-check-input" type="radio" name="gender" value="Férfi" required>
                                <label class="form-check-label">Férfi</label>
                            </div>
                            <div class="form-check">
                                <input class="form-check-input" type="radio" name="gender" value="Nő">
                                <label class="form-check-label">Nő</label>
                            </div>
                            <div class="form-check">
                                <input class="form-check-input" type="radio" name="gender" value="Egyéb">
                                <label class="form-check-label">Egyéb</label>
                            </div>
                        </div>
                    </div>
                </fieldset>
                <!--Location / Származási hely -->
                <div class="form-group row">
                    <label for="location" class="col-sm-4 col-form-label">Származási hely:*</label>
                    <div class="col-sm-6">
                        <select class="form-control" id="location" required>
                            <option selected disabled value="">(Válassz)</option>
                            <option value="Magyarország">Magyarország</option>
                            <option value="Valami más 1">Valami más 1</option>
                            <option value="Valami más 2">Valami más 2</option>
                            <option value="Valami más 3">Valami más 3</option>
                            <option value="Valami más 4">Valami más 4</option>
                        </select>
                    </div>
                </div>
                <!--Contact email / Email elérhetőség -->
                <div class="form-group row">
                    <label for="email" class="col-sm-4 col-form-label">Email elérhetőség:*</label>
                    <div class="col-sm-6">
                        <input type="email" class="form-control" id="email" required>
                        <small class="form-text text-muted">Olyan email-t adj meg, ahol a másik tanuló
                            feltudja venni veled a kapcsolatot.</small>
                    </div>
                </div>
                <h3><u>Tanuláshoz szükséges adatok</u></h3>
                <!--Degree / Végzettsége-->
                <div class="form-group row">
                    <label for="degree" class="col-sm-4 col-form-label">Elérni kívánt végzettség:*</label>
                    <div class="col-sm-6">
                        <select class="form-control" id="degree" required>
                            <option selected disabled value="">(Válassz)</option>
                            <optgroup label="MKKR 4.szint">
                                <option value="Érettségi">Érettségi</option>
                                <option value="Középfokú szakképesítés">Középfokú szakképesítés</option>
                                <option value="Középfokú szakképesítés-ráépülés">Középfokú szakképesítés-ráépülés
                                </option>
                                <option value="Felső középfokú részszakképesítés">Felső középfokú részszakképesítés
                                </option>
                                <option value="Felső középfokú szakképesítés">Felső középfokú szakképesítés</option>
                                <option value="Felnőttképzési egyéb szakmai képzés">Felnőttképzési egyéb szakmai képzés
                                </option>
                            </optgroup>
                            <optgroup label="MKKR 5.szint">
                                <option value="Felső középfokú szakképesítés">Felső középfokú szakképesítés</option>
                                <option value="Emelt szintű szakképesítés">Emelt szintű szakképesítés</option>
                                <option value="Emelt szintű szakképesítés-ráépülés">Emelt szintű szakképesítés-ráépülés
                                </option>
                                <option value="Felsőoktatási szakképzés">Felsőoktatási szakképzés</option>
                                <option value="Felnőttképzési egyéb szakmai képzés">Felnőttképzési egyéb szakmai képzés
                                </option>
                            </optgroup>
                            <optgroup label="MKKR 6.szint">
                                <option value="Felsőfokú végzettséghez kötött szakképesítés">Felsőfokú végzettséghez
                                    kötöttszakképesítés</option>
                                <option value="Felsőoktatási alapfokozat (BA/BSc)">Felsőoktatási alapfokozat (BA/BSc)
                                </option>
                                <option value="Szakirányú továbbképzés">Szakirányú továbbképzés</option>
                                <option value="Felnőttképzési egyéb szakmai képzés">Felnőttképzési egyéb szakmai képzés
                                </option>
                            </optgroup>
                            <optgroup label="MKKR 7.szint">
                                <option value="Felsőoktatási mesterfokozat (MA/MSc)">Felsőoktatási mesterfokozat
                                    (MA/MSc)</option>
                                <option value="Szakirányú továbbképzés">Szakirányú továbbképzés</option>
                                <option value="Felnőttképzési egyéb szakmai képzés">Felnőttképzési egyéb szakmai képzés
                                </option>
                            </optgroup>
                            <optgroup label="MKKR 8.szint">
                                <option value="Doktori fokozat (PhD/DLA)">Doktori fokozat (PhD/DLA)</option>
                            </optgroup>
                        </select>
                    </div>
                </div>
                <!--Subject / Tantárgy -->
                <div class="form-group row">
                    <label for="subject" class="col-sm-4 col-form-label">Tanulni kívánt tantárgy:*</label>
                    <div class="col-sm-6">
                        <select class="form-control" id="subject" required>
                            <option selected disabled value="">(Válassz)</option>
                            <option value="Informatika">Informatika</option>
                            <option value="Idegen nyelv">Idegen nyelv</option>
                            <option value="Irodalom">Irodalom</option>
                            <option value="Történelem">Történelem</option>
                        </select>
                        <small class="form-text text-muted">Azt a tantárgyat jelöld meg, amit
                            szívesen tanulnál valakivel együtt.</small>
                    </div>
                </div>
                <!--Preferred language / Preferált nyelv -->
                <div class="form-group row">
                    <label for="language" class="col-sm-4 col-form-label">Preferált nyelv:</label>
                    <div class="col-sm-6">
                        <input type="text" class="form-control" id="language" autocomplete="off">
                        <small class="form-text text-muted">Olyan nyelvet adj meg amilyen nyelven
                            szeretnél tanulni a másikkal. (pl: Magyar, Angol stb.)</small>
                    </div>
                </div>
                <!--About me / Róvid leírás magadról-->
                <div class="form-group row">
                    <label for="aboutMe" class="col-sm-4 col-form-label">Pár szót röviden magadról:</label>
                    <div class="col-sm-6">
                        <textarea class="form-control" id="aboutMe" rows="3"
                            placeholder="pl: Ki vagy, mit szeretnél elérni ezzel, mikor érsz rá..."></textarea>
                    </div>
                </div>
                <!--Agreement / Feltételek elfogadása-->
                <div class="form-group row">
                    <div class="col-sm-4"></div>
                    <div class="col-sm-6">
                        <div class="custom-control custom-checkbox">
                            <input type="checkbox" class="custom-control-input" id="agreement" required>
                            <label class="custom-control-label" for="agreement">Elfogadom, hogy az egyes adataim
                                nyilvánosan megjelenhetnek az oldalon.*</label>
                        </div>
                    </div>
                </div>
                <!--Requirements / Kötelező kitöltés-->
                <div class="form-group row">
                    <div class="col-sm-4"></div>
                    <div class="col-sm-7">
                        <small class="form-text text-muted">A csillaggal (*) jelölt mezők kitöltése kötelező.</small>
                    </div>
                </div>
                <div class="col text-center">
                    <button type="submit" class="btn btn-secondary">Feltöltés</button>
                </div>
            </form>
        </div>
    </div>
    <script src="../js/formScript.js"></script>
</body>

</html>